%global npmname qs
%global npminstdir /usr/lib/node_modules/%{npmname}
#%global deplist 

Summary: querystring parser
Name: nodejs-%{npmname}
Version: 0.4.2
Release: 1%{?dist}
Group: Development/Languages
License: MIT
URL: http://github.com/visionmedia/node-querystring
Source0: http://registry.npmjs.org/%{npmname}/-/%{npmname}-%{version}.tgz
BuildArch: noarch
Requires: nodejs
Provides: nodejs-%{npmname} = %{version}

%description
query string parser for node supporting nesting, as it 
was removed from `0.3.x`, so this library provides the 
previous and commonly desired behaviour (and twice as fast). 
Used by [express](http://expressjs.com), 
[connect](http://senchalabs.github.com/connect) and others.

%prep
rm -rf %{buildroot}
mkdir -p %{buildroot}

%build

%install
# Setup and unpack
mkdir -p %{buildroot}/%{npminstdir}
cd %{buildroot}/%{npminstdir}
tar xvfz %{SOURCE0}
cd package

# Setup the dependancies
# Run the scripts (except test scripts)

# Put everything in it's proper place
mv * ..
mv .gitignore ../.npmignore
cd ..
rm -rf package

# Setup Binaries

%clean
rm -rf %{buildroot}

%files
%defattr(-, nobody, root, -)
%{npminstdir}

%changelog
* Thu Feb 16 2012 Troy Dawson <tdawson@redhat.com> - 0.4.2-1
- Initial build

